# Objective

[X] Mobs spawn in waves
[X] Mobs move towards goal
[X] Mobs carry bomb to goal
[X] Mobs arm bomb
[X] Bomb explodes

# Malloc Beta

[ ] Join games
[ ] Leave games
[ ] One arena config

# Scaled waves

[ ] Weaker mobs, more of them
[ ] Mob categories
[ ] Spawnpoint categories

# UX

[X] Wave boss bar
[X] Mob count boss bar
[X] Stage titles
[X] EXPLOSIONS
[ ] Target catches on fire more it is lit
[ ] Colored titles
[ ] Clickable /ready in chat
[ ] Sidebar
[ ] List of mobs in next wave

# Social

[ ] Automatic VC groups for games
[ ] DiscordSRV
[ ] Plan stats
[ ] /invite friends to games
[ ] /voterestart

# Mechanics

[ ] Coin drops
[X] Mob tracking should prioritize bomb
[X] Mobs recover dropped bombs
[X] Bomb carriers are slower
[ ] Bonus coins for complete coin pickup
[ ] Infinite weapons + armor
[ ] Ammo/health spawns

# Scripted waves

[X] Spawn in batches
[X] Randomized spawn locations
[X] Weighted distributions
[X] Batch overlap
[ ] Scripted batch overlap/timings
[ ] Scripted spawn locations
[ ] Bosses

# Mapping

[ ] Load arenas from config file
[ ] Live map editing

# Game lifecycle

[ ] /list arenas and games
[ ] /start a game on an arena
[ ] /join games
[X] /ready
[ ] /leave games
[ ] /restart games
[X] Spectator mode on death
[X] Player readiness starts countdown
[ ] Game is automatically closed some time after game over
[ ] Return to lobby on leave/close
[ ] Instancing

# Powerups

[ ] Coin pickup range
[ ] Coin boost
[ ] Knockback on weapons
[ ] Damage boost
[ ] Speed boost
[ ] Health boost
[ ] Repair barriers

# Fantasy

[ ] Totems/turrets/stationary weapons
